/* SampleController 
 
 See SampleController.m for explanations and instructions.
 
 */

#import <Cocoa/Cocoa.h>
#import <AASFilesystemTools/AASFilesystemTools.h>
#import "SampleItem.h"

@interface SampleController : NSObject
{
    IBOutlet NSPathControl *rootPathControl;
    IBOutlet NSTableColumn *filenameColumn;
    IBOutlet NSTableColumn *typeColumn;
    IBOutlet NSTableColumn *pathColumn;
    IBOutlet NSOutlineView *testOutlineView;
	
	AASBasicInfoFile *rootFolder;
	SampleItem *rootItem;
}

- (void)setUpWithRootPath:(NSString *)root;
- (IBAction)chooseRootFolder:(id)sender;

@end
